library verilog;
use verilog.vl_types.all;
entity Top is
    generic(
        simPresent      : integer := 0
    );
    port(
        CLK             : in     vl_logic;
        RSTn            : in     vl_logic;
        KEY             : in     vl_logic_vector(3 downto 0);
        SW              : in     vl_logic_vector(2 downto 0);
        LED             : out    vl_logic_vector(7 downto 0);
        BEEP            : out    vl_logic;
        RXD             : in     vl_logic;
        TXD             : out    vl_logic;
        oled_csn        : out    vl_logic;
        oled_rst        : out    vl_logic;
        oled_dcn        : out    vl_logic;
        oled_clk        : out    vl_logic;
        oled_dat        : out    vl_logic;
        one_wire        : inout  vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of simPresent : constant is 1;
end Top;
