library verilog;
use verilog.vl_types.all;
entity Uart_Bus is
    generic(
        BPS_PARA        : integer := 1250
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        uart_rx         : in     vl_logic;
        rx_data_valid   : out    vl_logic;
        rx_data_out     : out    vl_logic_vector(7 downto 0);
        tx_done         : out    vl_logic;
        tx_data_valid   : in     vl_logic;
        tx_data_in      : in     vl_logic_vector(7 downto 0);
        uart_tx         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BPS_PARA : constant is 1;
end Uart_Bus;
