library verilog;
use verilog.vl_types.all;
entity alarm is
    generic(
        simPresent      : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        pulse           : out    vl_logic;
        second          : out    vl_logic_vector(5 downto 0);
        hour_o          : out    vl_logic_vector(5 downto 0);
        minute_o        : out    vl_logic_vector(5 downto 0);
        time_enter      : in     vl_logic;
        time_aug        : in     vl_logic;
        time_minus      : in     vl_logic;
        time_set        : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of simPresent : constant is 1;
end alarm;
