transcript on
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/OLED12832.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Uart_Tx.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Uart_Rx.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Uart_Bus.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/tone.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Thermometer.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/PWM.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/DS18B20Z.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Beeper.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Baud.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Top.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/alarm.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/debounce.v}

vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya {E:/FPGA/temp/jiaoya/tb.v}

vsim -t 1ps -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L fiftyfivenm_ver -L rtl_work -L work -voptargs="+acc"  tb

add wave *
view structure
view signals
run -all
