


import struct
import music21

file = music21.converter.parse("music.mid")
file.show('text')

min = 100
max = 0
stream = []
part = file

for track in part:
    for note in track:
        try:
            
            if (note.isNote):
                ps = int(note.pitch.ps)
                if max < ps: max = ps
                if min > ps: min = ps
                stream.append(ps)
                #print(note.pitch.ps)
            if (note.isRest): stream.append(0)
        except Exception as e:
            print(e)
            print(note)
            #stream.append(ps)


print(f'midi max: {max}')
print(f'midi min: {min}')
print(stream)

#   do      re      mi  fa      so      la      ti
#   1   2   3   4   5   6   7   8   9   10  11  12
# stream = [0,0,1,1,8,8,10,10,8,0,6,6,5,5,3,3,1,0,8,8,6,6,5,5,3,0,8,8,6,6,5,5,3,0,1,1,8,8,10,10,8,0,6,6,5,5,3,3,1,0]
# max = 12
# min = 1

print(stream)

baud_rate = 9600
bpm = 60
repeat = int(0.8 * baud_rate / 36)
newstream=[]
for i in stream:
    if(i==0): continue
    for j in range(repeat):
        newstream.append(int(11*(1.0595**(max-i))))
    for j in range(int(0.2 * baud_rate / 24)):
        newstream.append(0)
#stream = newstream[0:baud_rate*10//10]
stream = newstream

#print(stream)



with open("gen.bin", "wb") as fp:
    for x in stream:
        data = struct.pack('B', x)
        fp.write(data)

print('done')



